Package org.eclipse.launchbar.core.target.launch

# Interface ITargetedLaunch

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `org.eclipse.debug.core.ILaunch`, `org.eclipse.debug.core.model.ITerminate`

All Known Implementing Classes:
  `TargetedLaunch`

public interface ITargetedLaunch extends org.eclipse.debug.core.ILaunch
A launch that knows what target it's running on.

## Method Summary

Modifier and Type
Method
Description
`ILaunchTarget`
`getLaunchTarget()`
The target this launch will or is running on.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.ILaunch

`addDebugTarget, addProcess, getAttribute, getChildren, getDebugTarget, getDebugTargets, getLaunchConfiguration, getLaunchMode, getProcesses, getSourceLocator, hasChildren, removeDebugTarget, removeProcess, setAttribute, setSourceLocator`

### Methods inherited from interface org.eclipse.debug.core.model.ITerminate

`canTerminate, isTerminated, terminate`

## Method Details

### getLaunchTarget

ILaunchTarget getLaunchTarget()
The target this launch will or is running on.

Returns:
  launch target